package com.ibm.etools.iseries.examples.toolboxdemo;


// Licensed Material - Property of IBM
// (C) Copyright IBM Corp. 1997, 1998 - All Rights Reserved
//
// DISCLAIMER:
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM product
// and is provided to you solely for the purpose of assisting you in the
// development of your applications.  The code is provided 'AS IS',
// without warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have been
// advised of the possibility of such damages.


import java.awt.Component;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class LogoExample extends JPanel{


private JFrame      	parentFrame;
private JLabel			l1,l2,l3,l4,l5;
private JTextArea    	textArea=new JTextArea();
private JScrollPane  	spPicture=new JScrollPane();





























public LogoExample(JFrame f) {
	parentFrame=f;
	textArea.setText(	"This application illustrates the use of the AS/400 Toolbox\n" +
 						"to access various AS/400 objects; including data, user information,\n" +
						"IFS, Stored Procedure Catalog.\n\n\n\n"+
						"DISCLAIMER:\n"+
						"The following [enclosed] code is sample code created by IBM\n"+
						"Corporation.  This sample code is not part of any standard IBM product\n"+
						"and is provided to you solely for the purpose of assisting you in the\n"+
						"development of your applications.  The code is provided 'AS IS',\n"+
						"without warranty of any kind.  IBM shall not be liable for any damages\n"+
						"arising out of your use of the sample code, even if they have been\n"+
						"advised of the possibility of such damages.\n");
	textArea.setEnabled(false);
	textArea.setEditable(false);


	l1=new JLabel("AS/400: ");


	spPicture.setPreferredSize(new Dimension(200, 150));
	spPicture.setMinimumSize(new Dimension(200, 150));
	spPicture.getViewport().add((JLabel) makeLabel("ibm.gif"));




	setLayout(new GridBagLayout());
	addit1(spPicture,0,0,1,4,
		java.awt.GridBagConstraints.NONE,java.awt.GridBagConstraints.CENTER,
		10,10,1,1,1,1);
	addit1(textArea,0,10,10,1,
		java.awt.GridBagConstraints.NONE,java.awt.GridBagConstraints.CENTER,
		10,10,1,1,1,1);
}
// add Component to JPanel, using passed GridbagLayout - relative values
private void addit1(Component c, int x, int y, int xw, int yw,
						int fill, int anchor, double weightx, double weighty,
						int top, int left, int bottom, int right) {
	GridBagConstraints gbc = new GridBagConstraints();
	gbc.gridx=x;
	gbc.gridy=y;
	gbc.gridwidth=xw;
	gbc.gridheight=yw;
	gbc.fill=fill;
	gbc.anchor=anchor;
	gbc.weightx=weightx;
	gbc.weighty=weighty;
	if (top+bottom+left+right > 0)
		gbc.insets = new Insets(top, left, bottom, right);
	// Set constraint for the component
	((GridBagLayout)getLayout()).setConstraints(c, gbc);
	add(c);
}
private JLabel makeLabel(String name) {
	String t=LogoExample.class.getResource(name).getPath();
	ImageIcon image = new ImageIcon(getToolkit().getImage(t));
	return new JLabel(image);
}
}
